import request from "../utils/request"

let baseApi = "https://smzc.shizhi.tv/prod-api"

// 智能咨询 获取回复
export function getQaTalkResult(data) {
    return request({
        url: baseApi + "/humanSociety/znzx/getQaTalkResult",
        data: data,
        method: "post"
    })
}

// 智能咨询 获取答案
export function getAnswer(data) {
    return request({
        url: baseApi + "/humanSociety/znzx/getAnswer",
        data: data,
        method: "post"
    })
}
// 智能咨询 依据详情
export function getFlyj(data) {
    return request({
        url: baseApi + '/humanSociety/znzx/getFlyj',
        method: 'post',
        data: data
    })
}


// 办税日历--月
export function getCalendarListForMonth(data) {
    return request({
        url: baseApi + "/humanSociety/bsrl/getCalendarListForMonth",
        data: data,
        method: "post"
    })
}

// 办税日历--天
export function getCalendarListForDay(data) {
    return request({
        url: baseApi + "/humanSociety/bsrl/getCalendarListForDay",
        data: data,
        method: "post"
    })
}

// 年度评价结果查询
export function annualEvaluationResults(data) {
    return request({
        url: baseApi + "/tax/informationSelect/annualEvaluationResults",
        data: data,
        method: "post"
    })
}

// 设立登记信息查询
export function enterpriseInformationQuery(data) {
    return request({
        url: baseApi + "/tax/informationSelect/enterpriseInformationQuery",
        data: data,
        method: "post"
    })
}

// 违法违章信息查询
export function illegalInformationSelect(data) {
    return request({
        url: baseApi + "/tax/informationSelect/illegalInformationSelect",
        data: data,
        method: "post"
    })
}