import request from "../utils/request"

// let baseApi = ""
let baseApi = "/new"

// 获取税局电话号码
export function getMenu(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/getMenu",
        data: data,
        method: "get"
    })
}

// 获取税局电话号码
export function selectTel(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/selectTel",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}

// 在线调节日志
export function sfzyDhtjLog(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/sfzyDhtjLog",
        data: data,
        method: "post"
    })
}

// 获取税费争议预约日期
export function getFuture7Day(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/getFuture7Day",
        data: data,
        method: "get"
    })
}

// 获取税费争议预约时间段
export function getYysjByRq(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/getYysjByBsfwtdm",
        data: data,
        method: "get"
    })
}

// 税费争议预约
export function reserve(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/reserve",
        data: data,
        method: "post"
    })
}

// 税费争议取消预约
export function canalReserve(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/canalReserve",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}

// 税费争议记录
export function getYytjjl(data) {
    return request({
        url: "/machine" + baseApi + "/sfzy/getYytjjl",
        data: data,
        method: "get"
    })
}