// pages/indexPages/yyqhPages/success/success.js
import {
    xcxqxyy
} from "../../../../apis/index"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        business: {},
        infos: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.init(options)
    },

    init(e) {
        let that = this
        if (e) {
            if (e.business) {
                that.setData({
                    business: JSON.parse(e.business)
                })
            }
        }
        that.setData({
            infos: wx.getStorageSync('YYDATA')
        })
        wx.removeStorageSync('YYDATA')
    },

    lookCl() {
        let that = this
        wx.navigateTo({
            url: '../../workGuide/workGuide?business=' + JSON.stringify(that.data.business),
        })
    },

    cancle() {
        let that = this
        wx.showLoading({
            title: '正在取消...',
        })
        xcxqxyy({
            yymxxh: that.data.infos.yymxxh
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                wx.showToast({
                    title: '取消成功',
                    duration: 2000
                })
                setTimeout(() => {
                    wx.switchTab({
                        url: '../../../index/index',
                    })
                }, 2000);
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 5000
                })
            }
        })
    },

    backIndex() {
        wx.switchTab({
            url: '../../../index/index',
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})