// pages/minePages/sldjxxcx/sldjxxcx.js
import {
    xcxGetCompanyList,
} from "../../../apis/index"
import {
    enterpriseInformationQuery,
} from "../../../apis/smzc"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        enterpriceTypeShow: false,
        enterPriceList: [],
        enterPrice: {},
        resultInfos: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    selectEnterprice() {
        let that = this
        wx.showLoading({
            title: '正在获取企业信息',
        })
        that.setData({
            enterpriceTypeShow: true
        })
        xcxGetCompanyList({
            xm: wx.getStorageSync('USERINFO').name,
            sfzjhm: wx.getStorageSync('USERINFO').idcard
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    enterPriceList: res.list
                })
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 5000
                })
            }
        })
    },

    selectedEnterprice(e) {
        let that = this
        let item = e.currentTarget.dataset.item
        that.setData({
            enterpriceTypeShow: false,
            enterPrice: item
        })
        that.cx()
    },

    close() {
        let that = this
        that.setData({
            enterpriceTypeShow: false
        })
    },

    cx() {
        let that = this
        wx.showLoading({
            title: '正在查询...',
        })
        let form = {
            djxh: that.data.enterPrice.djxh,
            nsrsbh: that.data.enterPrice.nsrsbh,
            headVo: {
                jqbh: null,
                sjjg: "16109970500",
                sjry: "96109970015",
            }
        }
        enterpriseInformationQuery(form).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    resultInfos: res.data.nsrxxGridlb[0]
                })
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 3000
                })
            }
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})