// pages/taxDisputes/taxDisputesPages/success/success.js
import {
    canalReserve
} from "../../../../apis/sfzy"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        infos: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        let infos = wx.getStorageSync('SFZY_YY_DATAS')
        if (infos) {
            that.setData({
                infos: infos
            })
        }
        wx.removeStorageSync('SFZY_YY_DATAS')
    },

    cancle() {
        let that = this
        wx.showLoading({
            title: '正在取消...',
        })
        canalReserve({
            yyLogId: that.data.infos.yyLogId
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                wx.showToast({
                    title: '取消成功',
                    duration: 2000
                })
                setTimeout(() => {
                    wx.navigateBack()
                }, 2000);
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 5000
                })
            }
        })
    },

    backIndex() {
        wx.switchTab({
            url: '../../../index/index',
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})