// pages/taxDisputes/taxDisputesPages/zxtj/zxtj.js
import {
    selectTel,
    sfzyDhtjLog
} from "../../../../apis/sfzy"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        hall: "",
        phones: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.getPhones()
    },

    getPhones() {
        let that = this
        wx.showLoading({
          title: '正在获取大厅信息...',
        })
        let form = {
            bsfwtDm: wx.getStorageSync('MY_HALL').bsfwtDm
        }
        selectTel(form).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    hall: wx.getStorageSync('MY_HALL').bsfwtmc,
                    phones: [res.dhhm, res.sjhm]
                })
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none"
                })
            }
        })
    },

    call(e) {
        let that = this
        let phone = e.currentTarget.dataset.phone
        wx.makePhoneCall({
            phoneNumber: phone,
            success(res) {
                that.addLog()
            }
        })
    },

    calls() {
        let that = this
        let phones = that.data.phones
        wx.showActionSheet({
            itemList: phones,
            success(res) {
                wx.makePhoneCall({
                    phoneNumber: phones[res.tapIndex],
                    success(res) {
                        that.addLog()
                    }
                })
            },
        })
    },

    addLog() {
        let that = this
        let hall = wx.getStorageSync('MY_HALL')
        let userinfo = wx.getStorageSync('USERINFO')
        let form = {
            bsfwtDm: hall.bsfwtDm,
            unionid: wx.getStorageSync('PUBLIC_ID').unionid,
            xm: userinfo.name,
            sfzh: userinfo.idcard,
            sjhm: userinfo.phone
        }
        sfzyDhtjLog(form).then(res => {
            console.log(res)
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})